Bug 1005174 - Two identical lines appear for the Tatar language in gnome-initial-setup
Two identical lines appear for the Tatar language in gnome-initial-setup
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: iso-codes (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 07:10 EDT by Mike FABIAN
Modified: 2014-12-23 04:54 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-23 04:54:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
two-identical-lines-for-tatar.png (636.41 KB, image/png)
2013-09-06 07:10 EDT, Mike FABIAN
no flags Details
lines-for-tatar-in-latin-and-cyrillic-look-different-now-in-gnome-control-center-region.png (13.59 KB, image/png)
2014-02-10 05:06 EST, Mike FABIAN
no flags Details

  None (edit)
Description Mike FABIAN 2013-09-06 07:10:12 EDT
Created attachment 794665 [details]
two-identical-lines-for-tatar.png

Tested on 

Fedora-20-Alpha-TC4-x86_64-DVD.iso

gnome-initial-setup-0.12-7.fc20.x86_64

There are two identical lines visible for the Tatar language
in the screenshot, both look exactly like this:

    Tatarça (Urıs Patşahlıq)

Which seems to mean “Tatar (Russian Federation)”

(http://www.alumnieeni.com/ru_en_name.asp lists “Urıs Patşahlıq”
as meaning “Russian Federation” in Tatar)

When selecting the upper of the two lines, continuing,
logging out of Gnome once and logging in again to make
the language change come into effect, I can see that the
locale

    LANG=tt_RU.utf8@iqtelif

was chosen. Which is Tatar in Latin script:

    $ LANG=tt_RU.UTF-8@iqtelif date
    Com Sin  6 13:00:25 CEST 2013

When I select the lower of these two lines and do the same,
I find the resulting locale to be:

    tt_RU.utf8

Which is Tatar in Cyrillic script:

    $ LANG=tt_RU.UTF-8 date
    Җом Сен  6 13:01:34 CEST 2013

The list of languages shown by gnome-initial-setup lists
language endonyms, i.e. the name of a language is written
in that language itself.

Therefore,

    Tatarça (Urıs Patşahlıq)

can only be correct for the tt_RU.utf8@iqtelif,
for the tt_RU.UTF-8 it should be written in Cyrillic script.
Probably like this:

    татар теле (усия Федерациясе)

(see https://tt.wikipedia.org/wiki/%D0%A0%D1%83%D1%81%D0%B8%D1%8F)
Comment 1 Mike FABIAN 2013-09-06 07:19:05 EDT
(In reply to Mike FABIAN from comment #0)
> Probably like this:
> 
>     татар теле (усия Федерациясе)

First letter missiing here, cut&past error, should have been:

      татар теле (Русия Федерациясе)
    
> (see https://tt.wikipedia.org/wiki/%D0%A0%D1%83%D1%81%D0%B8%D1%8F)
Comment 2 Mike FABIAN 2013-09-07 07:50:23 EDT
Rui Matos told me the translations come from the iso-codes package.

Therefore, I reported this upstream bug:

https://alioth.debian.org/tracker/index.php?func=detail&aid=314422&group_id=30316&atid=413077
Comment 3 Mike FABIAN 2013-11-03 20:03:53 EST
Followup from the upstream bug report:

Date: 2013-11-01 23:29
Sender: Tobias Quathamer

Hi,

thanks a lot for the bug report. This should be fixed now and will be part of the next release. Please note that an automatic transliteration of the latin script into cyrillic has been added. If this results in strange or wrong words, please do not hesitate to open another bug report.

Regards,
Tobias
Comment 4 Mike FABIAN 2014-02-10 05:04:28 EST
It is fixed in iso-codes-3.49 on Fedora 20:

mfabian@ari:~
$ rpm -q iso-codes
iso-codes-3.49-1.fc20.noarch
mfabian@ari:~
$ rpm -ql iso-codes | grep tt
/usr/share/locale/tt/LC_MESSAGES/iso_3166.mo
/usr/share/locale/tt/LC_MESSAGES/iso_639.mo
/usr/share/locale/tt/LC_MESSAGES/iso_639_3.mo
/usr/share/locale/tt@iqtelif/LC_MESSAGES/iso_3166.mo
/usr/share/locale/tt@iqtelif/LC_MESSAGES/iso_639.mo
/usr/share/locale/tt@iqtelif/LC_MESSAGES/iso_639_3.mo
mfabian@ari:~
$
Comment 5 Mike FABIAN 2014-02-10 05:06:43 EST
Created attachment 861320 [details]
lines-for-tatar-in-latin-and-cyrillic-look-different-now-in-gnome-control-center-region.png
Comment 6 Mike FABIAN 2014-02-10 05:07:45 EST
As the screen shot in comment#5 shows, it works in Fedora 20.
-> VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.